- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::KEYMedia Struct Reference

`#include <KEYTypes.h>`

## Public Member Functions
| KEYMedia ()

## Public Attributes
KEYGeometryPtr_t | geometry
KEYGraphicStylePtr_t | style
boost::optional< bool > | placeholder
boost::optional< KEYSize > | placeholderSize
KEYMediaContentPtr_t | content

## Constructor & Destructor Documentation

libetonyek::KEYMedia::KEYMedia | ( |  | ) |

## Member Data Documentation

KEYMediaContentPtr_t libetonyek::KEYMedia::content

KEYGeometryPtr_t libetonyek::KEYMedia::geometry

boost::optional<bool> libetonyek::KEYMedia::placeholder

boost::optional<KEYSize> libetonyek::KEYMedia::placeholderSize

KEYGraphicStylePtr_t libetonyek::KEYMedia::style

The documentation for this struct was generated from the following files:

- KEYTypes.h
- KEYTypes.cpp